Name: nemerle
Version: 0.9.3.99.6733
Release: alt2.1

Summary: Nemerle compiler
Summary(pl): Kompilator jzyka Nemerle
License: BSD
Group: Development/Functional
Url: http://nemerle.org/
Source0: http://nemerle.org/download/snapshots/%name-%version.tar.gz
Patch: nemerle-alt-configure.patch

Requires: %name-libs = %version-%release

BuildPreReq: mono-devel >= 1.1.17
BuildPreReq: rpm-build-mono
BuildRequires: /proc
# Automatically added by buildreq on Wed Sep 27 2006
BuildRequires: mono-mcs mono-nunit python-base antlr java2

%description
Nemerle is a new functional language designed from the ground up for
the .NET platform. Nemerle supports: object oriented and imperative
.NET concepts, variant datatypes, matching, higher order functions and
powerful macro system. It has simple, C-like syntax and makes access
to imperative features easy, and thus is easy to learn.

%description -l pl
Nemerle jest nowym jzykiem funkcjonalnym zaprojektowym od pocztku z
myl o platformie .NET. Nemerle wspiera programowanie obiektowe i
imperatywne, typy wariantowe, dopasowanie wzorca, funkcje wyszych
rzdw oraz poteny system makr. Skadnia Nemerle jest prosta,
przypomina troch C. Nemerle umoliwa atwy dostp do swych
imperatywnych oraz obiektowych cech, co powinno uatwi uczenie si
go.

%package libs
Summary: Nemerle runtime environment
Summary(pl): rodowisko uruchomieniowe jzyka Nemerle
Group: System/Libraries

%description libs
Libraries needed to run programs written in Nemerle.

%description libs -l pl
Biblioteki niezbdne do uruchamiania programw napisanych w Nemerle.

%prep
%setup -q
%patch -p1

%build
./configure \
        --prefix=%prefix \
        --bindir=%_bindir \
        --libdir=%prefix/lib \
        --pkgconfigdir=%_pkgconfigdir \
        --mandir=%_mandir/man1
%make
#make check

%install
%make_install DESTDIR=%buildroot install

mv %buildroot{%_bindir/*.exe,%_monodir/nemerle/}
subst "s|%_bindir|%_monodir/nemerle|" %buildroot%_bindir/*

%define rtlibs "Nemerle.dll"
%define otherlibs "{Nemerle.Compiler.dll,Nemerle.CSharp.CS.dll,Nemerle.CSharp.dll,Nemerle.Evaluation.dll,Nemerle.Macros.dll,antlr.runtime.dll}"

%files
%_bindir/*
%_monodir/nemerle/*.exe
%_monodir/gac/Nemerle.Compiler
%_monodir/nemerle/Nemerle.Compiler.dll
%_monodir/gac/Nemerle.CSharp.CS
%_monodir/nemerle/Nemerle.CSharp.CS.dll
%_monodir/gac/Nemerle.CSharp
%_monodir/nemerle/Nemerle.CSharp.dll
%_monodir/gac/Nemerle.Evaluation
%_monodir/nemerle/Nemerle.Evaluation.dll
%_monodir/gac/Nemerle.Macros
%_monodir/nemerle/Nemerle.Macros.dll
%_monodir/gac/antlr.runtime
%_monodir/nemerle/antlr.runtime.dll
%_pkgconfigdir/*
%doc %_man1dir/*
%doc AUTHORS README doc/html
#%%_bindir/ncc.exe.so
#%%_libdir/Nemerle.Macros.dll.so
#%%_libdir/Nemerle.Compiler.dll.so

%files libs
%doc COPYRIGHT
%dir %_monodir/nemerle
%_monodir/gac/Nemerle
%_monodir/nemerle/Nemerle.dll
#%%_libdir/Nemerle.dll.so

%changelog
* Thu Dec 28 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.9.3.99.6733-alt2.1
- rebuild

* Tue Oct 10 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.9.3.99.6733-alt2
- fix x86_64 build
- spec cleanup

* Thu Sep 28 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.9.3.99.6733-alt1
- (unstable) snapshot - for monodevelop-0.12
- rpm-build-mono buildreq
- spec cleanup

* Wed Sep 27 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.9.3-alt1
- 1st version for ALTLinux

* Wed Feb 04 2004 malekith <> 1.5
- up to 0.0.1592

* Fri Jan 30 2004 malekith <> 1.4
- upgrade to 0.0.1522

* Mon Jan 26 2004 malekith <> 1.3
- -libs also requires mono

* Mon Jan 26 2004 malekith <> 1.2
- nemerle r: nemerle-libs

* Mon Jan 26 2004 malekith <> 1.1
- initial
